Get all networks - Fabric
Get all networks
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/network \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/network"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
200
{
"pagination": {
"total": 100,
"limit": 10,
"offset": 0
},
"network": [\
{\
"networkId": "62278e49167b6079755aa5e7",\
"code": "DC",\
"name": "Distribution Center",\
"safetyStock": 2,\
"rules": {\
"locationData.attributes.channel": "Frontline",\
"productData.attributes.subclass": {\
"$nin": 778942701\
}\
}\
}\
]\
}
400
{
"message": "Invalid request payload or parameter"
}
500
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: The
x-site-context header is a JSON object that contains information about the source you wish to pull from.
Example: {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}.
Query Parameters
- paginationQueryModel: This object represents the process of separating data into different pages.
Response
- 200: OK
- pagination: This object represents the process of separating data into different pages.
- network: Array of network objects.